Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.functions
Class FileWrapper

    java.lang.Object
      org.apache.jmeter.functions.FileWrapper

    public class FileWrapper

extends Object

This class wraps the FileRowColContainer for use across multiple threads. It does this by maintaining a list of open files, keyed by file name (or alias, if used). A list of open files is also maintained for each thread, together with the current line number.

Method Summary
`static void` | `clearAll()`
`static void` | `endRow(String file)`
`static String` | `getColumn(String file, int col)`
`static int` | `getCurrentRow(String file)` Gets the current row number (mainly for error reporting)
`static void` | `open(String file, String alias)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### open

    public static void open(String file,
                            String alias)

### endRow

    public static void endRow(String file)

### getColumn

    public static String getColumn(String file,
                                   int col)

### getCurrentRow

    public static int getCurrentRow(String file)

  Gets the current row number (mainly for error reporting)

  Parameters:
    `file` -
  Returns:
    the current row number for this thread

### clearAll

    public static void clearAll()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.